Bug 186849 - Gnome Screensaver does not blank screen after specified idle following wake from sleep
Gnome Screensaver does not blank screen after specified idle following wake f...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
: Security
Depends On:
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-03-26 21:19 EST by Austin Jackson
Modified: 2013-03-13 00:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-power-manager-2.14.1-1.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 00:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Austin Jackson 2006-03-26 21:19:43 EST
Description of problem:
I have "Set session as idle after:" set to 5-minutes. upon which time it is set
to show blank and lock the screen.  This all works very well until I resume the
computer from suspend (I am using g-p-m) upon which the system never goes idle.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.14.0-1

How reproducible:
Every time

Steps to Reproduce:
1.Set system idle to 5-minutes
2.Suspend computer
3.Wake computer
4.Wait for screen to blank or screensaver to start
  
Actual results:
Computer never goes idle

Expected results:
Computer should go idle and lock screen.

Additional info:
I marked this as security because of the lock screen issue.
Comment 1 jmccann 2006-03-27 11:43:56 EST
This is most likely a g-p-m bug fixed in CVS:

2006-03-22  Richard Hughes  <richard@hughsie.com>

        * src/gpm-manager.c, src/gpm-screensaver.{c|h}: Don't inhibit, just
        throttle. Pointed out in #332576.

Comment 2 Ray Strode [halfline] 2006-03-27 11:58:59 EST
Very cool.  Let's get this on the FC5Update tracker.
Comment 3 Richard Hughes 2006-03-27 12:15:39 EST
Ray I'll release 2.14.1 in a few days, and this bug is fixed in that.
Comment 4 Ray Strode [halfline] 2006-03-27 13:12:05 EST
Hi Richard,

Okay, sounds good.  I'll hold off then.
Comment 5 Fedora Update System 2006-04-10 10:36:13 EDT
gnome-power-manager-2.14.1-1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 6 Fedora Update System 2006-04-13 09:41:10 EDT
gnome-power-manager-2.14.1-1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.